import { Component, OnInit } from '@angular/core';
import { EditService, PageService, CommandColumnService, CommandModel } from '@syncfusion/ej2-angular-grids';

import { Router, Routes, ActivatedRoute, NavigationEnd } from '@angular/router';
import { Proyecto } from '../../../models/proyecto';


@Component({
  selector: 'app-listar-proyectos',
  templateUrl: './listar-proyectos.component.html',
  styleUrls: ['./listar-proyectos.component.css']
})
export class ListarProyectosComponent implements OnInit {

  public commands: CommandModel[];
  public dsProyectos: any[];

  constructor( private router: Router) { }

  ngOnInit() {
    this.commands = [{ buttonOption: { content: 'Details', cssClass: 'e-flat' } }];

    this.dsProyectos =  [
      { Id: '1', Nombre: 'Proyecto 1', Descripcion: 'Descricipn proyecto 1' },
      { Id: '2', Nombre: 'Proyecto 2', Descripcion: 'Descricipn proyecto 2' },
      { Id: '3', Nombre: 'Proyecto 3', Descripcion: 'Descricipn proyecto 3' },
    ];
  }



}
