import { Component, ViewEncapsulation, ElementRef, Inject, ViewChild } from '@angular/core';
import { loadCldr, setCulture, Internationalization, L10n } from '@syncfusion/ej2-base';

// import { SidebarComponent } from '@syncfusion/ej2-angular-navigations';

setCulture('es');

declare let require: Function;

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  // @ViewChild('sidebar')
  // public sidebar: SidebarComponent;

  title = 'Desarrollo Proyectos';

  constructor(private ngEle: ElementRef) {
     loadCldr(
       require('../../node_modules/cldr-data/supplemental/numberingSystems.json'),
       require('../../node_modules/cldr-data/main/es/ca-gregorian.json'),
       require('../../node_modules/cldr-data/main/es/currencies.json'),
       require('../../node_modules/cldr-data/main/es/numbers.json'),
       require('../../node_modules/cldr-data/main/es/timeZoneNames.json')
     );

  }
}
